package common

type MultiNamespacesInventory struct {
	Namespaces map[string]struct {
		Services  ServicesMap `yaml:"services"`
		Localname string      `yaml:"localname"`
		Rack      string      `yaml:"rack"`
	} `yaml:"namespaces"`
	Release  string `yaml:"release"`
	Hostname string `yaml:"hostname"`
}

type SingleNamespaceInventory struct {
	Namespace string
	Services  ServicesMap
	Localname string
	Rack      string
	Release   string
	Hostname  string
	IsRemote  bool
}

type Inventory SingleNamespaceInventory

type ServicesMap map[string][]*Service

// Service defines a generic inventory service
type Service struct {
	ID     string            `yaml:"id"`
	IP     string            `yaml:"ip"`
	Port   int               `yaml:"port"`
	Volume string            `yaml:"volume"`
	Conf   map[string]string `yaml:"config"`
}
